uk.gov.hmrc.performance.simulation

# PerformanceTestRunner

###
Related Doc: package simulation

#### trait PerformanceTestRunner extends Simulation with HttpConfiguration with JourneyConfiguration with PerftestConfiguration

Linear Supertypes
PerftestConfiguration, JourneyConfiguration, HttpConfiguration, Configuration, Simulation, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PerformanceTestRunner
2. PerftestConfiguration
3. JourneyConfiguration
4. HttpConfiguration
5. Configuration
6. Simulation
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SetUp extends AnyRef

   Definition Classes
     Simulation

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def after(step: ⇒ Unit): Unit

   Definition Classes
     Simulation

5. #### val allJourneys: List[String]

   Definition Classes
     JourneyConfiguration

6. #### lazy val applicationConfig: Config

   Definition Classes
     Configuration

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def before(step: ⇒ Unit): Unit

   Definition Classes
     Simulation

9. #### def checkJourneyName(id: String): Any

   Definition Classes
     JourneyConfiguration

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### lazy val constantRateTime: FiniteDuration

    Definition Classes
      PerftestConfiguration

12. #### def definitions(labels: Set[String] = Set.empty): Seq[JourneyDefinition]

    Definition Classes
      JourneyConfiguration

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def generateDescription(abstractDescription: String, runIf: Set[String], skipIf: Set[String]): String

    Definition Classes
      JourneyConfiguration

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hasProperty(property: String): Boolean

    Definition Classes
      Configuration

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### val headers: Map[String, String]

    Definition Classes
      HttpConfiguration

21. #### val httpProtocol: HttpProtocolBuilder

    Definition Classes
      HttpConfiguration

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val journeysAvailable: List[String]

    Definition Classes
      JourneyConfiguration

24. #### def keys(property: String): List[String]

    Definition Classes
      Configuration

25. #### lazy val labels: Set[String]

    Definition Classes
      PerftestConfiguration

26. #### lazy val loadPercentage: Double

    Definition Classes
      PerftestConfiguration

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### val noLoad: Double

    Definition Classes
      PerftestConfiguration

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### lazy val percentageFailureThreshold: Int

    Definition Classes
      PerftestConfiguration

32. #### lazy val rampDownTime: FiniteDuration

    Definition Classes
      PerftestConfiguration

33. #### lazy val rampUpTime: FiniteDuration

    Definition Classes
      PerftestConfiguration

34. #### def readProperty(property: String, default: String): String

    Definition Classes
      Configuration

35. #### def readProperty(property: String): String

    Definition Classes
      Configuration

36. #### def readPropertyBooleanOption(property: String): Option[Boolean]

    Definition Classes
      Configuration

37. #### def readPropertyList(property: String): List[String]

    Definition Classes
      Configuration

38. #### def readPropertyOption(property: String): Option[String]

    Definition Classes
      Configuration

39. #### def readPropertySet(property: String): Set[String]

    Definition Classes
      Configuration

40. #### def readPropertySetOrEmpty(property: String): Set[String]

    Definition Classes
      Configuration

41. #### lazy val requestPercentageFailureThreshold: Int

    Definition Classes
      PerftestConfiguration

42. #### lazy val runLocal: Boolean

    Definition Classes
      Configuration

43. #### def runSimulation(): Unit

44. #### lazy val runSingleUserJourney: Boolean

    Definition Classes
      PerftestConfiguration

45. #### def setUp(populationBuilders: List[PopulationBuilder]): SetUp

    Definition Classes
      Simulation

46. #### def setUp(populationBuilders: PopulationBuilder*): SetUp

    Definition Classes
      Simulation

47. #### def setup(id: String, description: String): JourneyPart

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Definition Classes
      AnyRef → Any

50. #### def validateExtendedJourney(abstractJourneyId: String): Unit

    Definition Classes
      JourneyConfiguration

51. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PerftestConfiguration

### Inherited from JourneyConfiguration

### Inherited from HttpConfiguration

### Inherited from Configuration

### Inherited from Simulation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped